observer
Affected version: 3.3.0
Description: How to reproduce

- Create an issue without any observer
- Then add an observer to the issue
- The observer will not receive a mail.

I don't have foudn any configuration about that

Sorry for my english :)

Associated revisions
2009-01-11 05:33 pm - Jean-Philippe Lang 
Ability to sort the issue list by text, list, date and boolean custom fields (#1139).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2257 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-01-11 07:38 pm - Jean-Philippe Lang 
Ability to sort the issue list by text, int and float custom fields (#1139).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2258 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-09-07 10:51 am - Holger Just
- Status changed from Open to Needs more information

Watchers only receive notifications about events which occurred while they are watching an issue (or any watchable object for that matter).

This means, if you expected the watcher to receive a new mail notification immediately, then the observed behavior is by design and I'm rather 
reluctant to change that. By watching an object, most people expect to just receive new changes to it, not an old updates.

If the new watcher however doesn't receive notifications for new changes, then this might be a bug. In this case, please provide more information about 
your environment.

2012-09-14 06:17 pm - Philippe DA COSTA
Hi,
sorry for my late response.

Ok i understand your point of view.
In my case, I would like to inform the watcher that is now "observer" of an issue. Then he could consult the issue, or wait about update on the issue.

Is it possible to purpose an option ? Or i can try to develop a plugin.

Thanks 
2012-09-14 08:24 pm - Holger Just
- Status changed from Needs more information to Open

You could create a plugin. You can hook yourself into the @after_save@ callback of the @Watcher@ model. On the respective model instance, you 
can retrieve the watched object (@watchable@) and the user (@user@). With this information, you can send an email. This can be implemented 
similar to the existing "IssueObserver":/projects/chiliproject/repository/revisions/master/entry/app/models/journal_observer.rb.

That said, it might indeed be a good idea to allow a site to send new watchers a notifications in the form of "You are now watching issue 123". 
Inspiration taken from the new Github notifications :)
